export type PackageManager = 'npm' | 'yarn';
export declare function install(packageManager: PackageManager, module: string, version: string, dev: boolean, projectRoot: string): Promise<void>;
export declare function detectInstalledVersion(module: string, projectRoot: string): Promise<string | undefined>;
export declare function detectInstalled(module: string, projectRoot: string): Promise<boolean>;
export declare function guessPackageManager(projectRoot: string): Promise<"npm" | "yarn">;
